## nfsroot 0.4

=== src/Makefile ===
#CXXFLAGS=-g -Wall
CXXFLAGS=-O2 -Wall

nrprobenet:nrprobenet.o
	rm -f nrprobenet
	gcc -o nrprobenet nrprobenet.o -lstdc++

rnprobenet.o:nrprobenet.cc

clean:
	rm -f  nrprobenet.o nrprobenet

=== debian/changelog ===
nfsroot (0.4) unstable; urgency=low

  * added another sanity check in mknfsroot
  * recompiled for libg++-2.7.2.1 (you need at least this version to run it)
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Tue, 12 Nov 1996 23:46:06 +0100

nfsroot (0.3) unstable; urgency=low

  * added extra test for /etc/nfsroot/$hostip/etc in mknfsroot
  * striped executable
  * clients now don't mount the server's /tmp on their /tmp by
    default 
  * Corrected "Continue without Swap" bug in
    /etc/nfsroot/default/etc/boot* scripts.
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 31 Oct 1996 22:25:12 +0100

nfsroot (0.2) unstable; urgency=low

  * removed /tftpboot "configfile" dir, as dpkg doesn't like it.
    (refuses to install nfsroot if you don't have /tftpboot already
    on your system)
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Mon, 30 Sep 1996 22:31:14 +0200

nfsroot (0.1) unstable; urgency=low

  * I promised a samba-print.tar.gz exmaple file, but forgot to include
    one
  * get permissions in /etc right
  * small fix to mknfsroot script.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 29 Sep 1996 23:36:52 +0200

nfsroot (0.0) unstable; urgency=low

  * initial version.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 25 Sep 1996 21:59:58 +0200

Local variables:
mode: debian-changelog
End:

  

=== debian/control ===
Source: nfsroot
Section: net
Priority: optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 0.0

Package: nfsroot
Architecture: any
Depends: netstd, ${shlibs:Depends}
Description: Set up server to allow nfsroot clients to boot.
 30min after you installed this package on your server, you can:
 .
 Insert a nfsrootbootfloppy (create one with "mknfsrootboot")
 in any computer on your local network that has it's networkcard
 configured (running whatever OS), press "RESET", and hey presto, 
 it's running LINUX! 
 (and is configured to do just as much as your server, by default).
 .
 This package allows you to have most /etc files on the clients the
 same as the server, and some different. You'll need 30k disk space
 per potential client, and it's got a daemon that probes the network
 for hw adresses, and puts them in /etc/bootpd, and makes /tftpboot
 entries (excluding hosts in /etc/nfsroot/ignorehosts).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=nfsroot

build:
	$(checkdir)
	$(MAKE) -C src
	strip src/nrprobenet
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -C src clean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/{bin,sbin,lib/nfsroot}
	install -d debian/tmp/dev
	install -d debian/tmp/var/lib/nfsroot
	#
	cp doc/* debian/tmp/usr/doc/$(package)
	cp src/nrprobenet debian/tmp/usr/sbin
	cp scripts/{mknfsroot,nrclientboot} debian/tmp/usr/sbin
	#
	cp scripts/{nr2etc,nrmkboot} debian/tmp/usr/bin
	#
	(source etc/nfsroot/def;\
	 if test -f $$NFSROOTKERNEL; then \
	   cp $$NFSROOTKERNEL debian/tmp/usr/lib/nfsroot; \
	 else \
	   echo "no nfsroot kernel found, not including it in package"; \
	 fi)
	#
	cp -a etc debian/tmp
	#
	mknod debian/tmp/dev/boot255 c 0 255
	#
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog
	gzip -9v debian/tmp/usr/doc/$(package)/*
	chown root:root -R debian/tmp
	chmod a+x  `find debian/tmp/ -type d`
	(cd debian/tmp; find etc -type f)|sed -e "s/^/\//" > debian/conffiles
	#
	cp debian/{conffiles,postinst,postrm,preinst,prerm} debian/tmp/DEBIAN/.
	chmod a+x debian/tmp/DEBIAN/{postinst,postrm,preinst,prerm}
	#
	dpkg-shlibdeps src/nrprobenet
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..
	
define checkdir
	test -f src/nrprobenet.cc -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## nfsroot 0.5

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-#CXXFLAGS=-g -Wall
-CXXFLAGS=-O2 -Wall
+CXXFLAGS=-g -O2 -Wall
+#CXXFLAGS=-O2 -Wall
 
 nrprobenet:nrprobenet.o
 	rm -f nrprobenet

=== debian/changelog ===
nfsroot (0.5) unstable; urgency=low

  * Improved  checking for double HW addresses/IP numbers, and
    added option to write such changes to syslog.
  * The example kernel provided didn't work
  * created manual pages for mknfsroot and nrpobenet.
  * mknfsroot now copies symlinks in /etc directly to
    /tftpboot/$ip/etc/..., instead of links into /remote-etc/...
  * fixed typo in boot script.
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 3 May 1997 14:55:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Architecture: any
 Depends: netstd, ${shlibs:Depends}
 Description: Set up server to allow nfsroot clients to boot.
- 30min after you installed this package on your server, you can:
+ 60min after you installed this package on your server, you can:
  .
  Insert a nfsrootbootfloppy (create one with "mknfsrootboot")
  in any computer on your local network that has it's networkcard

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+#   -*- mode: makefile; -*-
 # Sample debian.rules file - for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
 # I hereby give you perpetual unlimited permission to copy,
@@ -14,10 +15,11 @@
 # are obsolete.
 
 package=nfsroot
+CXXFLAGS="-g -Wall -O2"
 
 build:
 	$(checkdir)
-	$(MAKE) -C src
+	$(MAKE) -C src CXXFLAGS=$(CXXFLAGS)
 	strip src/nrprobenet
 	touch build
 
@@ -26,6 +28,7 @@
 	-rm -f build
 	-$(MAKE) -C src clean
 	-rm -rf *~ debian/tmp debian/*~ debian/files*
+	-rm -f core 2
 
 binary-indep:	checkroot build
 	$(checkdir)
@@ -38,30 +41,33 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp debian/tmp/DEBIAN
 	install -d debian/tmp/usr/doc/$(package)
-	install -d debian/tmp/usr/{bin,sbin,lib/nfsroot}
+	install -d debian/tmp/usr/{bin,sbin,lib/nfsroot,man/man8}
 	install -d debian/tmp/dev
 	install -d debian/tmp/var/lib/nfsroot
 	#
 	cp doc/* debian/tmp/usr/doc/$(package)
-	cp src/nrprobenet debian/tmp/usr/sbin
+	install -m 0755 -o root -g root src/nrprobenet debian/tmp/usr/sbin
 	cp scripts/{mknfsroot,nrclientboot} debian/tmp/usr/sbin
 	#
 	cp scripts/{nr2etc,nrmkboot} debian/tmp/usr/bin
 	#
-	(source etc/nfsroot/def;\
-	 if test -f $$NFSROOTKERNEL; then \
+	cp -a etc debian/tmp
+	#
+	(source debian/tmp/etc/nfsroot/def;\
+	 if test -f $$NFSROOTKERNEL -a -c /dev/boot255; then \
+           rdev $$NFSROOTKERNEL /dev/boot255; \
 	   cp $$NFSROOTKERNEL debian/tmp/usr/lib/nfsroot; \
 	 else \
 	   echo "no nfsroot kernel found, not including it in package"; \
 	 fi)
 	#
-	cp -a etc debian/tmp
-	#
 	mknod debian/tmp/dev/boot255 c 0 255
 	#
 	cp debian/copyright debian/tmp/usr/doc/$(package)/.
 	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog
-	gzip -9v debian/tmp/usr/doc/$(package)/*
+	cp doc/* debian/tmp/usr/man/man8
+	ln -s changelog debian/tmp/usr/doc/$(package)/changelog.Debian
+	-gzip -9v debian/tmp/usr/{doc/$(package),man/man8}/*
 	chown root:root -R debian/tmp
 	chmod a+x  `find debian/tmp/ -type d`
 	(cd debian/tmp; find etc -type f)|sed -e "s/^/\//" > debian/conffiles
@@ -74,7 +80,7 @@
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	dpkg --build debian/tmp ..
-	
+
 define checkdir
 	test -f src/nrprobenet.cc -a -f debian/rules
 endef
